Package org.eclipse.microprofile.openapi.annotations.security

# Annotation Type SecurityRequirements

@Target({METHOD,TYPE}) @Retention(RUNTIME) @Inherited public @interface SecurityRequirements
Container annotation for repeated `SecurityRequirement` annotations.

Note that each `SecurityRequirement` annotation is equivalent to a `SecurityRequirementsSet` annotation containing only that annotation.

     Example:
     security:
       - oauth_implicit: []
       - api_secret: []

See Also:
  - SecurityRequirement Object

## Optional Element Summary

Optional Elements
Modifier and Type
Optional Element
Description
`SecurityRequirement[]`
`value`
An array of SecurityRequirement annotations

## Element Details

### value

SecurityRequirement[] value
An array of SecurityRequirement annotations

Returns:
  the array of the SecurityRequirement annotations

Default:
  {}